Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# module.hh File Reference

GModule C++ interface. More...

`#include <xfc/object.hh>`
`#include <gmodule.h>`
`#include <xfc/glib/inline/module.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::Module
    A GModule C++ wrapper interface. More...

## Typedefs

- typedef unsigned int ModuleFlagsField
    ModuleFlagsField holds one or more flags the G::ModuleFlags enumeration OR'd together.

## Enumerations

- enum ModuleFlags {
  MODULE_BIND_LAZY = G_MODULE_BIND_LAZY,
  MODULE_BIND_LOCAL = G_MODULE_BIND_LOCAL,
  MODULE_BIND_MASK = G_MODULE_BIND_MASK
  }
    enum G::ModuleFlags Flags passed to G::Module::open(). More...

## Detailed Description

GModule C++ interface.

Provides Module, an object for dynamically loading plug-in modules.

## Enumeration Type Documentation

enum ModuleFlags

enum G::ModuleFlags Flags passed to G::Module::open().

Note that these flags are not supported on all platforms.

Enumeration values:

  MODULE_BIND_LAZY | Specifies that symbols are only resolved when needed; The default action is to bind all symbols when the module is loaded.
  MODULE_BIND_LOCAL | Specifies that symbols in the module should not be added to the global name space. The default action on most platforms is to place symbols in the module in the global name space, which may cause conflicts with existing symbols.
  MODULE_BIND_MASK | Mask for all flags.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3